package digital.laboratory.platform.inspection.dto;

import digital.laboratory.platform.inspection.constant.TestRecordSampleDataConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 样本检验数据的扩展信息 得更新DTO
 * @TableName b_test_record_sampledata_expand
 */
@Data
@ApiModel(value = "TestSampleDataExpandDTO", description = "样本检验数据的扩展信息 得更新DTO")
public class TestSampleDataExpandDTO {

    @ApiModelProperty(value = "主键标识", example = "123456")
    private String id;

    @ApiModelProperty(value = "关联的实验数据 ID (一个实验数据可能关联多个扩展数据)", example = "654321")
    private String testDataId;

    @ApiModelProperty(value = "峰面积", example = "12345.6789")
    private BigDecimal peakArea;

    @ApiModelProperty(value = "碎片保留时间（仅对 NPS 实验有用），求具体样本保留时间 = 碎片保留时间的平均值", example = "3.75")
    private BigDecimal fragmentRetTime;

    @ApiModelProperty(value = "离子丰度比，常规毒品案件使用", example = "50")
    private BigDecimal ionAbundanceRatio;

    /************************************* 自定义setter  *******************************************/
    public void setIonAbundanceRatio(String ionAbundanceRatio) {
        if (ionAbundanceRatio == null || ionAbundanceRatio.equals(TestRecordSampleDataConstant.INVALID_VALUE_STR)) {
            this.ionAbundanceRatio = null;
        } else {
            this.ionAbundanceRatio = new BigDecimal(ionAbundanceRatio);
        }
    }
}
